## lzallright 0.1.0

=== lzokay-sys/lzokay/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
include(CMakePackageConfigHelpers)

project(lzokay VERSION 0.1 LANGUAGES CXX)
add_library(lzokay lzokay.hpp lzokay.cpp)
add_executable(lzokaytest test.cpp)
target_include_directories(lzokay PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)
target_link_libraries(lzokaytest lzokay)
target_compile_features(lzokay PRIVATE cxx_std_14)
target_compile_features(lzokaytest PRIVATE cxx_std_14)
set_target_properties(lzokay PROPERTIES CXX_STANDARD 14)
set_target_properties(lzokaytest PROPERTIES CXX_STANDARD 14)

# Set installation for headers
install(
    FILES "${PROJECT_SOURCE_DIR}/lzokay.hpp"
    DESTINATION "include/lzokay"
)

set(version_config_file "${PROJECT_BINARY_DIR}/lzokayConfigVersion.cmake")
set(config_file "${PROJECT_BINARY_DIR}/lzokayConfig.cmake")
set(config_install_dir "lib/cmake/lzokay")

# Associate target with export
install(
    TARGETS lzokay
    EXPORT lzokayTargets
    ARCHIVE DESTINATION "lib"
    INCLUDES DESTINATION "include/lzokay"  # This sets the INTERFACE_INCLUDE_DIRECTORIES property of the target.
)

# Install the target config files
install(
    EXPORT lzokayTargets
    NAMESPACE "lzokay::"
    DESTINATION "${config_install_dir}"
)

# Generate version config file
write_basic_package_version_file(
    "${version_config_file}"
    COMPATIBILITY SameMajorVersion
)

# Generate config file
configure_package_config_file(
    "Config.cmake.in"
    "${config_file}"
    INSTALL_DESTINATION "lib/cmake/lzokay"
)

# Install the config files
install(
    FILES "${config_file}" "${version_config_file}"
    DESTINATION ${config_install_dir}
)

add_subdirectory("lzokay-c")

=== lzokay-sys/lzokay/lzokay-c/CMakeLists.txt ===
project(lzokay-c VERSION 0.1 LANGUAGES C CXX)

add_library(lzokay-c lzokay-c.cpp lzokay-c.h)
target_link_libraries(lzokay-c PRIVATE lzokay)
set_target_properties(lzokay-c PROPERTIES CXX_STANDARD 14)

=== debian/changelog ===
lzallright (0.1.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:02:19 +0200

lzallright (0.1.0-0kali2) kali-dev; urgency=medium

  * Refresh use-current-version patch for pyo3 version

 -- Steev Klimaszewski <steev@kali.org>  Tue, 29 Aug 2023 03:54:58 -0500

lzallright (0.1.0-0kali1) kali-experimental; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 16 May 2023 17:55:49 +0200

=== debian/control ===
Source: lzallright
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends: cargo,
               cmake,
               debhelper-compat (= 13),
               dh-sequence-python3,
               librust-criterion-dev,
               librust-cxx-build-dev,
               librust-cxx-dev,
               librust-pyo3-dev,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
               rustc (>= 1.64)
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/vlaci/lzallright

Package: python3-lzallright
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python binding for LZ library (Python 3)
 This package contains a Python 3.8+ binding for LZok_hand library which is a
 minimal, C++14 implementation of the LZO compression format.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

include /usr/share/rustc/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk


export PYBUILD_NAME=lzallright
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export DEB_CARGO_CRATE=lzallright_0.1.0

CARGO=/usr/share/cargo/bin/cargo

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_configure:
	mkdir $(CURDIR)/debian/vendor
	# link-from-system must be the 3rd arg (see
	# /usr/share/cargo/bin/cargo)
	$(CARGO) prepare-debian $(CURDIR)/debian/vendor --link-from-system --manifest-path Cargo.toml
	$(CARGO) build

execute_after_dh_install:
	mv target/*/debug/liblzallright.so $(CURDIR)/debian/python3-lzallright/usr/lib/python3/dist-packages/lzallright/lzallright.abi3.so
	mv lzallright.pyi $(CURDIR)/debian/python3-lzallright/usr/lib/python3/dist-packages/lzallright/__init__.pyi

execute_after_dh_clean:
	rm -rf $(CURDIR)/debian/vendor $(CURDIR)/debian/cargo_home
